using System;
using System.IO;
using System.Xml;
using System.Collections.Generic;
using Microsoft.Web.Services3;
using Microsoft.Web.Services3.Design;
using System.Xml.XPath;

namespace PrototypAssertion
{
    class TestFilter : SoapFilter
    {
        Validator validator;

        public TestFilter(XmlDocument mapping, XmlDocument repository)
        {

            validator = new Validator(new PolicyMappingManager(mapping));
        }

        public override SoapFilterResult ProcessMessage(SoapEnvelope envelope)
        {
            if (validator.IsValid(envelope))
            {
                return SoapFilterResult.Continue;
            }
            else
            {
                return SoapFilterResult.Terminate;
            }
        }
    }
}
