using System;
using System.Collections.Generic;
using System.Text;
using System.Xml;
using System.Xml.Schema;

namespace SchemaProvider
{
    public class XmlSchemaProvider
    {
        XmlDocument doc;

        public XmlSchemaProvider() {
            doc = getXmlDocFromFile("TestXml.xml");
        }
        
        public XmlSchemaProvider(XmlDocument doc) {
            this.doc = doc;
        }

        public XmlSchema getXmlSchema(){
            XmlNodeList nodeList = doc.SelectNodes("//TypeDefinition");
            XmlSchema schema = new XmlSchema();
            return schema;
        }

        private XmlDocument getXmlDocFromFile(string uri) {
            XmlTextReader textreader = new XmlTextReader(@uri);
            textreader.WhitespaceHandling = WhitespaceHandling.None;
            
            XmlDocument doc = new XmlDocument();
            doc.Load(textreader);

            return doc;
        }

        public static void main(string[] args) { 
        
        }
    }
}
