using System;
using System.Web;
using System.Web.Services;
using System.Web.Services.Protocols;
using System.Collections;
using Microsoft.Web.Services3;

[WebService(Namespace = "http://tempuri.org/")]
[Policy("serverPolicy")]
public class BankingService : System.Web.Services.WebService
{
    Hashtable sessionAccounts;

    public BankingService () 
    {
        sessionAccounts = new Hashtable();
    }

    [WebMethod(EnableSession=true)]
    public double Withdraw(string accountNumber, double amount) {
        
        if (Session["Accounts"] == null)
        {
            Hashtable accounts = new Hashtable();
            accounts.Add("1234.56.12345", 10000);
            accounts.Add("1234.56.12346", 20000);
            accounts.Add("1234.56.12347", 30000);
            accounts.Add("1234.56.12348", 40000);
            accounts.Add("1234.56.12349", 50000);
            Session["Accounts"] = accounts;
        }

        sessionAccounts = (Hashtable) Session["Accounts"];
        
        double temp = Convert.ToDouble(sessionAccounts[accountNumber]);
        temp -= amount;
        sessionAccounts[accountNumber] = temp;
        
        Session["Accounts"] = sessionAccounts;
        return temp;
    }

    [WebMethod(EnableSession = true)]
    public double Deposit(string accountNumber, double amount)
    {

        if (Session["Accounts"] == null)
        {
            Hashtable accounts = new Hashtable();
            accounts.Add("1234.56.12345", 1000);
            accounts.Add("1234.56.12346", 2000);
            accounts.Add("1234.56.12347", 3000);
            accounts.Add("1234.56.12348", 4000);
            accounts.Add("1234.56.12349", 5000);
            Session["Accounts"] = accounts;
        }

        sessionAccounts = (Hashtable)Session["Accounts"];

        double temp = Convert.ToDouble(sessionAccounts[accountNumber]);
        temp += amount;
        sessionAccounts[accountNumber] = temp;

        Session["Accounts"] = sessionAccounts;
        return temp;
    }

   
}
